Index: /javavenv/pom.xml
===================================================================
--- /javavenv/pom.xml	(revision 2)
+++ /javavenv/pom.xml	(revision 3)
@@ -5,5 +5,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>javavenv</artifactId>
-	<version>1.0.0</version>
+	<version>2.0.2</version>
 
 
@@ -17,5 +17,5 @@
 		<!-- <tomcat.version>8.0.53</tomcat.version> -->
 		<tomcat.version>8.5.20</tomcat.version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
Index: /javavenv/src/main/java/geniusweb/javavenv/PythonPartyFactory.java
===================================================================
--- /javavenv/src/main/java/geniusweb/javavenv/PythonPartyFactory.java	(revision 2)
+++ /javavenv/src/main/java/geniusweb/javavenv/PythonPartyFactory.java	(revision 3)
@@ -22,6 +22,6 @@
 public class PythonPartyFactory {
 
-	private static final int PARTY_MAX_INSTALL_TIME = 60000; // ms
-	private static final int PIP_MAX_UPGRADE_TIME = 30000; // ms
+	private static final int PARTY_MAX_INSTALL_TIME = 180000; // ms
+	private static final int PIP_MAX_UPGRADE_TIME = 90000; // ms
 	private final ObjectMapper jackson = new ObjectMapper();
 	private final File targz;
@@ -99,5 +99,5 @@
 		String capstr = venv.call(Arrays.asList("-c",
 				"from geniusweb.partystdio.PartyStdIo import PartyStdIo; import party; PartyStdIo(party.party()).capabilities()"),
-				500);
+				1500);
 		logger.log(Level.INFO, "Capabilities=" + capstr);
 		return jackson.readValue(capstr, Capabilities.class);
@@ -108,5 +108,5 @@
 		String capstr = venv.call(Arrays.asList("-c",
 				"from geniusweb.partystdio.PartyStdIo import PartyStdIo; import party; PartyStdIo(party.party()).description()"),
-				500);
+				1500);
 		logger.log(Level.INFO, "Description=" + capstr);
 		return capstr;
Index: /javavenv/src/main/java/geniusweb/javavenv/PythonVenv.java
===================================================================
--- /javavenv/src/main/java/geniusweb/javavenv/PythonVenv.java	(revision 2)
+++ /javavenv/src/main/java/geniusweb/javavenv/PythonVenv.java	(revision 3)
@@ -137,5 +137,5 @@
 
 		String version = new Call(PYTHON3,
-				Arrays.asList("-c", "import sys; print(sys.version)"), 500)
+				Arrays.asList("-c", "import sys; print(sys.version)"), 3000)
 						.run();
 		if (!(version.startsWith("3.8") || version.startsWith("3.9"))) {
@@ -154,5 +154,5 @@
 
 		new Call(PYTHON3,
-				Arrays.asList("-m", "venv", venvdir.getAbsolutePath()), 20000)
+				Arrays.asList("-m", "venv", venvdir.getAbsolutePath()), 100000)
 						.run();
 
Index: /javavenv/src/test/java/geniusweb/javavenv/PythonPartyFactoryE2E.java
===================================================================
--- /javavenv/src/test/java/geniusweb/javavenv/PythonPartyFactoryE2E.java	(revision 2)
+++ /javavenv/src/test/java/geniusweb/javavenv/PythonPartyFactoryE2E.java	(revision 3)
@@ -32,8 +32,10 @@
 
 public class PythonPartyFactoryE2E {
+	private static final String STUPIDPARTY = "src/test/resources/stupidparty-1.1.0.tar.gz";
+
 	@Test
 	public void test() throws IOException, InterruptedException, PythonError {
 		PythonPartyFactory factory = new PythonPartyFactory(
-				new File("src/test/resources/stupidparty-1.0.0.tar.gz"));
+				new File(STUPIDPARTY));
 		System.out.println(factory.getCapabilites());
 		factory.close();
@@ -45,5 +47,5 @@
 			throws IOException, InterruptedException, PythonError {
 		PythonPartyFactory factory = new PythonPartyFactory(
-				new File("src/test/resources/stupidparty-1.0.0.tar.gz"));
+				new File(STUPIDPARTY));
 		System.out.println("\nGetting a party instance");
 		PartyProxy proxy = factory.getInstance();
@@ -61,5 +63,5 @@
 			throws IOException, InterruptedException, PythonError {
 		PythonPartyFactory factory = new PythonPartyFactory(
-				new File("src/test/resources/stupidparty-1.0.0.tar.gz"));
+				new File(STUPIDPARTY));
 		System.out.println("\nGetting a party instance");
 		PartyProxy proxy = factory.getInstance();
@@ -86,5 +88,5 @@
 
 		PythonPartyFactory factory = new PythonPartyFactory(
-				new File("src/test/resources/stupidparty-1.0.0.tar.gz"));
+				new File(STUPIDPARTY));
 		System.out.println("\nGetting a party instance");
 		PartyProxy proxy = factory.getInstance();
@@ -122,5 +124,5 @@
 
 		PythonPartyFactory factory = new PythonPartyFactory(
-				new File("src/test/resources/stupidparty-1.0.0.tar.gz"));
+				new File(STUPIDPARTY));
 		PartyProxy proxy = factory.getInstance();
 		MyConnEnd conn = new MyConnEnd();
Index: /pypartiesserver/pom.xml
===================================================================
--- /pypartiesserver/pom.xml	(revision 2)
+++ /pypartiesserver/pom.xml	(revision 3)
@@ -6,5 +6,5 @@
 	<artifactId>pypartiesserver</artifactId>
 	<packaging>war</packaging>
-	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.2</version> <!-- must equal ${geniusweb.version} -->
 	<name>partiesserver Maven Webapp</name>
 	<url>http://maven.apache.org</url>
@@ -19,5 +19,5 @@
 		<!-- <tomcat.version>8.0.53</tomcat.version> -->
 		<tomcat.version>8.5.20</tomcat.version>
-		<geniusweb.version>2.0.1</geniusweb.version>
+		<geniusweb.version>2.0.2</geniusweb.version>
 	</properties>
 
@@ -67,5 +67,5 @@
 			<groupId>geniusweb</groupId>
 			<artifactId>javavenv</artifactId>
-			<version>1.0.0</version>
+			<version>${geniusweb.version}</version>
 		</dependency>
 
